Page MenuHomePhabricator

Open registration to the Wikimedia Hackathon 2015
Closed, ResolvedPublic

Description

Registration to the Wikimedia Hackathon 2015 (Lyon, France, 23-25 May) is now open (announcement, registration, event page)


We need to make sure that all the lessons learned in previous events are taken into account when preparing the registration for the Wikimedia Hackathon 2015. And we need to open the registration.

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedQgil
ResolvedRfarrand
ResolvedAlexCella
ResolvedAlexCella
ResolvedRfarrand
ResolvedQgil
ResolvedOmar_sansi
ResolvedQgil
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedDeskana
Resolved yuvipanda
Resolvedcoren
Resolvedgreg
Resolved GWicke
Resolved GWicke
Resolvedmobrovac
ResolvedQgil
ResolvedQgil
ResolvedSylvain_WMFr
ResolvedSylvain_WMFr
ResolvedAlexCella

Event Timeline

Qgil created this task.Feb 4 2015, 10:04 AM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Needs Triage.
Qgil added a project: Wikimedia-Hackathon-2015.
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 4 2015, 10:04 AM
Qgil triaged this task as Normal priority.Feb 4 2015, 10:08 AM

The registration form is nearly ready. Here is a test link: https://dons.wikimedia.fr/civicrm/event/register?reset=1&action=preview&id=8

There is still some polishing to be done (some French words will need an English replacement here and there), and maybe some more questions to ask to the people registering to the event (like dev experience, what they expect from the event...)

Qgil raised the priority of this task from Normal to High.Feb 10 2015, 8:24 AM
Qgil added a subscriber: Rfarrand.

Hi @Sylvain_WMFr, are you in charge of this registration form? If so, please assign this task to yourself.

Some feedback:

  • Over the past years, WMDE, WMNL, and WMCH have developed a registration form taking into account visa requests and many other standard fields. This registration form seems to have a fresh start, but I fear we will miss all the lessons learned. @Rfarrand can help you making sure you are doing the right thing.
  • "Event fee" should be changed for "Accommodation", making clear that the participation in the event is free.
  • Do you really want to handle all these accommodation bookings and payments? Wouldn't it be simpler to ask people to take care of their accommodation directly with http://www.valpre.com/ ? Many events do this, giving you some code to use as event participant. I fear WMFR getting extra work with booking changes, cancellations...
  • If you really want to do this yourselves, you should offer a form like hotels have, allowing flexibility on the dates of check-in/check-out. Not everybody will come and leave on the same days.
    • You should specify the default arrival/departure and price per night for all the options. Now it is not clear what are you paying.
    • There should be an option for no accommodation.
  • In Food restrictions, maybe you want to say "none" instead of Carnivorous? It's funny though. :)
  • Shirts, you should allow people to introduce male or female styles.
Qgil added a comment.Feb 10 2015, 9:19 AM

We should ask optionally for links to the Phabricator, Gerrit, and Wikimedia accounts (required to those requesting travel sponsorship). Examples:

Rfarrand claimed this task.Feb 10 2015, 5:24 PM
Rfarrand set Security to None.

Hey Quim,

Asking for links to personal accounts seems like a great idea to us.

Qgil added a comment.Feb 11 2015, 2:45 PM

It looks like the registration from last year is still available here. If you would like to use Google Forms like in previous years, most of the work would be done (there are a couple of details that I would like to improve, but that's it).

I just met with Emeric and Nathalie. It sounds like Sylvan and Jean-Philippe will be creating a registration form shortly and then running it by Rachel and @Qgil.

Qgil added a comment.Feb 12 2015, 10:48 PM

Let's continue here the discussion about the draft form http://goo.gl/forms/MPzx8q7BBz, because I'm noticing that those questions are for everybody, not just for those requesting sponsorship.

Can we include a question for people who are attending a Wikimedia Hackathon for the second+ time about willingness to dedicate some time to helpingnew community members? I think our aim this year is to get a larger percentage of first time Wikimedia event attendees. We are also start experimenting with a "new to Wikimedia" or "Don't know what to work on?" or "Meet your MediaWiki Heros" table and see what works well and what does not so that we can copy or make changes to this for Wikimania too. I don't think only WMF staff should be helping with that.

Oh yes, I forgot. Added.

Can we also change "Wikimedia Foundation buddy" to "Wikimedia Foundation, WIkimedia Chapter or or long time contributing volunteer buddy" I think having Manuel, Maarten, Daniel Kinzler, Katie F or the DJ as your buddy is just as valuable as having a WMF staff member. We might also want to email out to wikitech-l with this buddy idea so that people are not surprised about being named as a buddy.

Finally - should we add something about making sure that the buddy you name is planning to be at the event and agrees to be a buddy and maybe allowing them to enter more than one name if they are excited about working with more than one person?

I have solved this by linking to a page where the whole buddy thing will be explained. I have removed any reference to Wikimedia Foundation buddies, that was a good point. This is what will probably happen:

  • We are going to require all WMF employees to find a non-WMF buddy. T89355
  • All volunteers sponsored will also have good buddies, found by themselves or with our help. T88406
  • WMF employees + sponsored volunteers probably are 50% or more of the participants. If the first half found a buddy, the other half shouldn't have a big problem finding one either, right?

I have added questions about areas of interest and languages spoken to ease the localization of potential buddies and also to organize the welcoming to newcomers (overlapping activities but not the same)

Today it sounds a bit complicated, but we will iron the details in the next days. Pairing everybody will be fun, but I have no doubt that this (together with the focus on demo-able projects) will bring a very different type of event.

Maybe we don't even want to go there.... but what about using the words "Allie", "Liaison" or "Collaborator" (none of those sound exactly right..) or something else instead of "buddy" which sounds like someone you get in kindergarten to hold hands with while you cross the streets.

Qgil added a comment.EditedFeb 12 2015, 11:09 PM

:) I remember that the first time I read "buddy" (in ICQ or some other prehistoric chat service) I had to check in a dictionary.

"Peer"? It's a more techie term and it doesn't go down the road of "partner" and similar terms with a dubious connotation.

PS: if there is a good French word for this, we could absolutely take it.

Actually, in French, the closest meaning would be "un pote". It sounds pretty cool and really imply a connection.
It does sounds very much like one american word for drug though.

Otherwise, we use Buddy quite a lot.

Will the WMF employees & Chapters members have to chose "un pote" or will it be random distribution?

Qgil added a comment.Feb 13 2015, 4:38 PM

Everybody will be encouraged to find their pote themselves. If someone ask us for help, we will help.

pote /pɔt/ masculin et féminin identiques

That is convenient. If you think it's good, then I think it's good as well. Rachel?

I like using a french term, especially because there dose not seem to be an english one that fits. :)
Maybe to avoid further confusion we should just say "un pote (buddy)" whenever we refer to this.

Is the pronunciation "pot" or "po-te" or something else?

It's the same pronunciation as in "a pot of gold" :)

Qgil added a comment.Feb 20 2015, 2:31 PM

Any estimation of when a draft form will be available for review?

Hey,

We already did the letter, you can find it in the document uploaded.

I already started to look at procedures for visa from India and asked Manuel Schneider for a list from last year Hackathon to have an idea of where the attendees came from. Doing that I'll be able to produce a list of procedures for a lot of countries so that coders will have faster information and will be able to start their visa processes.

Translation:

Madam, Sir,

The association « Wikimédia France – Association pour le libre partage de la connaissance » organise from the 22nd to 26th of may 2015 the Hackathon of the Wikimedia Foundation in Lyon.

A Hackahton is a gathering of more than 200 coders coming from all around the world to develop Wikimedia's projects, such as Wikipedia, the online collaborative encyclopedia.

For this purpose, we need abilities and qualities of XXXXXXXXX, living XXXXXXXXX and whom passport number is XXXXXXXXXX. His contribution will be decisive for the perpetual improvement of Internet.

During this Hackathon, Wikimedia France has planned housing and catering for every developer. Everything is then reserved for XXXXXXX.

I then ask you to give the file of XXXXXXXX the highest attention in order to give him a maximum of chances to join us in Lyon at the end of the month of May 2015.

Please accept, Madam, Sir, the assurances of my best regards.

Nathalie Martin,
Executive Directress of Wikimédia France.

Qgil added a comment.Feb 20 2015, 5:54 PM

@AlexCella, please post information in the relevant tasks. The visa letter is being discussed in T90096: Create a Hackathon letter for Visas. Thank you!

Registration to open March 2.

Qgil moved this task from Backlog to Ready To Go on the ECT-February-2015 board.Feb 24 2015, 4:55 PM
MC8 added a subscriber: MC8.Feb 26 2015, 3:33 PM

The form should be ready now.

@Qgil, @Rfarrand : can you please try and register on https://dons.wikimedia.fr/civicrm/event/info?reset=1&id=8 and tell me if everything is OK?

(and if everything is ok, feel free to make the public announcement of the opening of the registrations)

MC8 added a comment.Mar 2 2015, 6:11 PM

Could you clarify the prices on the introduction page? There's been some confusion (e.g.T88743#1073431) as to how many nights (and which) the price includes.

Thanks for putting that up! The photo links are not working for me - I am not sure if they are broken or if it is my computers fault.

In the intro you say: "The Hackathon uses an unconference format, with heavy focus on coding sessions and technical discussion, with small workshops." Except, this year we are planning to do more pre planning and structure than in the past. You could say "it uses a combination of an unconference format and pre planned topics and sessions." or something like that.

"along with experimented volunteer developpers. " should be "along with experienced volunteer developers."

Maybe include an "other" section for food restrictions

If people can choose their day of arrival, are you going to be able to book rooms for people who want to arrive early and stay late or will they need to do that themselves? Will the effect the cost/total that they were shows above? People will have questions about that so this form would be a good place to clarify.

Ask if they need help with a visa

Ask for their first and last names

Ask what they would like their name tag to say

Ask if they have read and agree to the friendly space policy, make it a mandatory questions and include a link to the policy. You can use this one: http://wikimediafoundation.org/wiki/Friendly_space_policy or another one if WMFr has one. We just need something like that in place.

It looks great! Excited to open registration! :)

Qgil added a comment.Mar 3 2015, 8:19 AM

Thank Sylvain. Adding to Rachel's feedback...

The images are not working for me either.

Sometimes the explanation of a form is above the field, sometimes below... It would be better to have them always in the same position (below is better, I think).

The main URL of the event to be publicised everywhere is https://www.mediawiki.org/wiki/Lyon_Hackathon_2015. People landing in the form are supposed to have gone through that wiki page. I would remove all the intro in the form, since it is a duplication of the wiki page, Instead, I would have a single sentence in the intro pointing to that wiki page for more information.

As others have commented, the accommodation part still needs some work:

  • Do you really want to handle all these accommodation bookings and payments? Wouldn't it be simpler to ask people to take care of their accommodation directly with http://www.valpre.com/ ? Many events do this, giving you some code to use as event participant. I fear WMFR getting extra work with booking changes, cancellations...
  • If you really want to do this yourselves, you should offer a form like hotels have, allowing flexibility on the dates of check-in/check-out. Not everybody will come and leave on the same days.
    • You should specify the default arrival/departure and price per night for all the options. Now it is not clear what are you paying.

"Double room (already paid)" is unclear. Wouldn't it be better to have simply "No, thanks"? Local participants will not need accommodations, a % of visitors will make their own arrangements, and the WMF bunch will be pre-booked through another process, landing in double or individual rooms.

Day of arrival and departure would fit better with the accommodation part. Is ti possible to set default dates in the calendar widgets? 22 May and 26 May.

Food has an option "choisir". :)

Wikimedia, Phabricator, and Gerrit profile, affiliation and origin, could go together with "Your Registration info".

Origin, maybe we could add a comment about what is expected, i.e. City (Region, Country). In the internal WMF registration some people are putting "India", others a 3 letter acronym of an airport...

Main interests, let's add Bots, Fundraising, Mobile, Quality Assurance, Wikimedia Labs. "Editing tools" is probably better than "Editing", to avoid confusion.

Languages, let's add Arabic, Hindi, Russian. Should be start with English, French, and then alphabetical?

The explanation about demo-able projects could include "You can propose your own project and you can join the proposals listed at https://phabricator.wikimedia.org/tag/wikimedia-hackathon-2015/ "

"No, I don't need a sponsorship" should be the first option. Just a detail, but it looks like the default expectation is to be sponsored.

The explanation in the following pages are in French only. They are not complicated, but then again I'm used to French and forms... Is there a way to have the explanation in English (as well)?

As Rachel says, a blocking checkbox for accepting the Friendly space policy, and an optional checkbox to request visa assistance are needed.

Sorry for the long list of comments! Hopefully most are just trivial to implement, and if something is very difficult, let's talk. No matter what, we should set the goal of announcing registration this week. By the way, I think the honors should correspond to the host organizer.

Thanks for putting that up! The photo links are not working for me - I am not sure if they are broken or if it is my computers fault.

In the intro you say: "The Hackathon uses an unconference format, with heavy focus on coding sessions and technical discussion, with small workshops." Except, this year we are planning to do more pre planning and structure than in the past. You could say "it uses a combination of an unconference format and pre planned topics and sessions." or something like that.

"along with experimented volunteer developpers. " should be "along with experienced volunteer developers."

I replaced all the page by a link to the hackathon page on Mediawiki.org, as suggested by @Qgil.

Maybe include an "other" section for food restrictions

Done.

If people can choose their day of arrival, are you going to be able to book rooms for people who want to arrive early and stay late or will they need to do that themselves? Will the effect the cost/total that they were shows above? People will have questions about that so this form would be a good place to clarify.

I did add a precision.

Ask if they need help with a visa

Done.

Ask for their first and last names

Done (stupid me.)

Ask what they would like their name tag to say

Done.

Ask if they have read and agree to the friendly space policy, make it a mandatory questions and include a link to the policy. You can use this one: http://wikimediafoundation.org/wiki/Friendly_space_policy or another one if WMFr has one. We just need something like that in place.

Done.

It looks great! Excited to open registration! :)

Thank Sylvain. Adding to Rachel's feedback...

The images are not working for me either.

Sometimes the explanation of a form is above the field, sometimes below... It would be better to have them always in the same position (below is better, I think).

The main URL of the event to be publicised everywhere is https://www.mediawiki.org/wiki/Lyon_Hackathon_2015. People landing in the form are supposed to have gone through that wiki page. I would remove all the intro in the form, since it is a duplication of the wiki page, Instead, I would have a single sentence in the intro pointing to that wiki page for more information.

As others have commented, the accommodation part still needs some work:

  • Do you really want to handle all these accommodation bookings and payments? Wouldn't it be simpler to ask people to take care of their accommodation directly with http://www.valpre.com/ ? Many events do this, giving you some code to use as event participant. I fear WMFR getting extra work with booking changes, cancellations...
  • If you really want to do this yourselves, you should offer a form like hotels have, allowing flexibility on the dates of check-in/check-out. Not everybody will come and leave on the same days.
    • You should specify the default arrival/departure and price per night for all the options. Now it is not clear what are you paying.

"Double room (already paid)" is unclear. Wouldn't it be better to have simply "No, thanks"? Local participants will not need accommodations, a % of visitors will make their own arrangements, and the WMF bunch will be pre-booked through another process, landing in double or individual rooms.

Done.

Day of arrival and departure would fit better with the accommodation part. Is ti possible to set default dates in the calendar widgets? 22 May and 26 May.

I cannot edit the accomodation part, but I moved it to the "registration info" one. Done for the default dates.

Food has an option "choisir". :)

Fixed by transforming the select to radio buttons.

Wikimedia, Phabricator, and Gerrit profile, affiliation and origin, could go together with "Your Registration info".

Done for Wikimedia. I feel Phabricator and Gerrit are better where they are, though.

Origin, maybe we could add a comment about what is expected, i.e. City (Region, Country). In the internal WMF registration some people are putting "India", others a 3 letter acronym of an airport...

Renamed to "country". I can make it a select with a list of countries, but the names would be in French...

Main interests, let's add Bots, Fundraising, Mobile, Quality Assurance, Wikimedia Labs. "Editing tools" is probably better than "Editing", to avoid confusion.

Done.

Languages, let's add Arabic, Hindi, Russian. Should be start with English, French, and then alphabetical?

Done.

The explanation about demo-able projects could include "You can propose your own project and you can join the proposals listed at https://phabricator.wikimedia.org/tag/wikimedia-hackathon-2015/ "

Done.

"No, I don't need a sponsorship" should be the first option. Just a detail, but it looks like the default expectation is to be sponsored.

Done.

The explanation in the following pages are in French only. They are not complicated, but then again I'm used to French and forms... Is there a way to have the explanation in English (as well)?

I'll try to translate it.

As Rachel says, a blocking checkbox for accepting the Friendly space policy, and an optional checkbox to request visa assistance are needed.

Sorry for the long list of comments! Hopefully most are just trivial to implement, and if something is very difficult, let's talk. No matter what, we should set the goal of announcing registration this week. By the way, I think the honors should correspond to the host organizer.

Qgil added a comment.EditedMar 4 2015, 8:07 PM

The forms looks almost good! Thank you for taking all the feedback. The only think I would still improve is the description of the accommodation. Proposal:

The prices include four nights (check in 22 April, check out 26 April) and catering during the event.

  • Single room: a room with one bed.
  • Twin room: one bed in a room shared with two beds.
  • Dormitory: one bed in a room with three to five beds.
  • Double room: a room with a bed for two persons (the price covers the two persons)

    Please leave roommate names or other preferences in the Comments field at the end of this form.

I think it is better to have all the feedback in the same form, as opposed to having to match form entries with emails.

Qgil added a comment.Mar 5 2015, 8:49 PM

Registration is open!

@Sylvain_WMFr has sent the announcement to a bunch of mailing lists. I have asked @Rfarrand and the socialmedia@ to echo the announcement, if possible tomorrow in San Francisco morning and good European time.

This task looks completed.

Qgil updated the task description. (Show Details)Mar 5 2015, 8:52 PM
Qgil added a project: Developer-notice.
Qgil added a subscriber: Developer-notice.

The forms looks almost good! Thank you for taking all the feedback. The only think I would still improve is the description of the accommodation. Proposal:

The prices include four nights (check in 22 April, check out 26 April) and catering during the event.

  • Single room: a room with one bed.
  • Twin room: one bed in a room shared with two beds.
  • Dormitory: one bed in a room with three to five beds.
  • Double room: a room with a bed for two persons (the price covers the two persons)

    Please leave roommate names or other preferences in the Comments field at the end of this form.

I think it is better to have all the feedback in the same form, as opposed to having to match form entries with emails.

Done. And now that the announcements are made, I'll close this task as well. ;)

Sylvain_WMFr closed this task as Resolved.Mar 6 2015, 10:18 AM